### Virtual Method

# EDataBook DataBookCursor compare_contact

#### Declaration [src]

    gint
    compare_contact (
      EDataBookCursor* cursor,
      EContact* contact,
      gboolean* matches_sexp
    )

#### Description [src]

The `EDataBookCursorCompareContactFunc` delegate to compare an `EContact` with the cursor position.

#### Parameters

`contact`

  Type: `EContact`

  The `EContact` to compare with `cursor`.

  The data is owned by the caller of the method.

`matches_sexp`

  Type: `gboolean*`

  Return location to set whether `contact` matched `cursor`‘s search expression.

  The argument will be set by the function.

#### Return value

Type: `gint`

A value that is less than, equal to, or greater than zero if `contact` is found, respectively, to be less than, to match, or be greater than the current value of `cursor`.